aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/oe-setup-builddir (renamed from scripts/poky-setup-builddir)36
1 files changed, 18 insertions, 18 deletions
diff --git a/scripts/poky-setup-builddir b/scripts/oe-setup-builddir
index cd6f7d1552..0e616a7805 100755
--- a/scripts/poky-setup-builddir
+++ b/scripts/oe-setup-builddir
@@ -38,25 +38,25 @@ fi
cd "$BUILDDIR"
#
-# $POKYCONF can point to a directory for the template local.conf & bblayers.conf
+# $TEMPLATECONF can point to a directory for the template local.conf & bblayers.conf
#
-if [ "x" != "x$POKYCONF" ]; then
- if ! (test -d "$POKYCONF"); then
- # Allow POKYCONF=meta-xyz/conf as a shortcut
- if [ -d "$OEROOT/$POKYCONF" ]; then
- POKYCONF="$OEROOT/$POKYCONF"
+if [ "x" != "x$TEMPLATECONF" ]; then
+ if ! (test -d "$TEMPLATECONF"); then
+ # Allow TEMPLATECONF=meta-xyz/conf as a shortcut
+ if [ -d "$OEROOT/$TEMPLATECONF" ]; then
+ TEMPLATECONF="$OEROOT/$POKYCONF"
fi
- if ! (test -d "$POKYCONF"); then
- echo >&2 "Error: '$POKYCONF' must be a directory containing local.conf & bblayers.conf"
+ if ! (test -d "$TEMPLATECONF"); then
+ echo >&2 "Error: '$TEMPLATECONF' must be a directory containing local.conf & bblayers.conf"
return
fi
fi
- POKYLAYERCONF="$POKYCONF/bblayers.conf"
- POKYLOCALCONF="$POKYCONF/local.conf"
+ OECORELAYERCONF="$TEMPLATECONF/bblayers.conf"
+ OECORELOCALCONF="$TEMPLATECONF/local.conf"
fi
-if [ "x" = "x$POKYLOCALCONF" ]; then
- POKYLOCALCONF="$OEROOT/meta/conf/local.conf.sample"
+if [ "x" = "x$OECORELOCALCONF" ]; then
+ OECORELOCALCONF="$OEROOT/meta/conf/local.conf.sample"
fi
if ! (test -r "$BUILDDIR/conf/local.conf"); then
cat <<EOM
@@ -70,11 +70,11 @@ Also, for more information see the Poky Reference Manual:
http://yoctoproject.org/community/documentation
EOM
- cp -f $POKYLOCALCONF $BUILDDIR/conf/local.conf
+ cp -f $OECORELOCALCONF $BUILDDIR/conf/local.conf
fi
-if [ "x" = "x$POKYLAYERCONF" ]; then
- POKYLAYERCONF="$OEROOT/meta/conf/bblayers.conf.sample"
+if [ "x" = "x$OECORELAYERCONF" ]; then
+ OECORELAYERCONF="$OEROOT/meta/conf/bblayers.conf.sample"
fi
if ! (test -r "$BUILDDIR/conf/bblayers.conf"); then
cat <<EOM
@@ -89,12 +89,12 @@ EOM
# Put the abosolute path to the layers in bblayers.conf so we can run
# bitbake without the init script after the first run
- sed "s|##COREBASE##|$OEROOT|g" $POKYLAYERCONF > $BUILDDIR/conf/bblayers.conf
+ sed "s|##COREBASE##|$OEROOT|g" $OECORELAYERCONF > $BUILDDIR/conf/bblayers.conf
fi
# Prevent disturbing a new GIT clone in same console
-unset POKYLOCALCONF
-unset POKYLAYERCONF
+unset OECORELOCALCONF
+unset OECORELAYERCONF
cat <<EOM